Which browsers are compatible with Prolaborate? - Prolaborate

Which browsers are compatible with Prolaborate?

Home Forums General Discussions Which browsers are compatible with Prolaborate?

This topic contains 0 replies, has 1 voice, and was last updated by  Prolaborate Admin 4 months, 3 weeks ago.

Viewing 1 post (of 1 total)
  • Author
    Posts
  • #826

    Prolaborate is compatible with following browsers:

    1. Chrome 44 and above (recommended)
    2. Firefox 38 and above
    3. Safari 9 and above
    4. Internet Explorer 11 and above
Viewing 1 post (of 1 total)

You must be logged in to reply to this topic.